commit: 55ddb3b613825d2c35f5d42300cf3310dd45134a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 1 20:40:11 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 1 22:00:34 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55ddb3b6
dev-util/catfish: Bump to 1.4.12
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-util/catfish/Manifest | 1 +
dev-util/catfish/catfish-1.4.12.ebuild | 48 ++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-util/catfish/Manifest b/dev-util/catfish/Manifest
index 38fd9e58266..7fb4e744057 100644
--- a/dev-util/catfish/Manifest
+++ b/dev-util/catfish/Manifest
@@ -1,2 +1,3 @@
DIST catfish-1.4.10.tar.bz2 213951 BLAKE2B
ff8f710d5f3b5d59e98bd6af9b1dd11499ea331b2d7c78945ebc1051d1b49d28069e47bd8aa3f12d57b646fc6764ccd4f365cda9fdfea15f5a3a4334b6e9b17e
SHA512
baf9007b2ce2418fa5704e10884f509e4361505537e2ce70a7f8c8c61009094a09d7d032e0a6b4ca174f33bf76783ee2665f781cce47d2b236f2633e25192f29
DIST catfish-1.4.11.tar.bz2 220603 BLAKE2B
a1ca8ee9efa5d8c8b3877562321e9bb150a82083a80cd108c6a16dbc000bcaa1f6653b4b091ab1fd50ec406dc53c470e5f985f62e3abede7cd6676786860d31a
SHA512
aed919ff5824bffb7d48b715dee4bba51d74d24d523c1bb468b0cc1735bdfbeb0e50fa86d3c10e91b6ae747aea82c292c7b423fadc3abaa1f6841b38f8887cd0
+DIST catfish-1.4.12.tar.bz2 221813 BLAKE2B
4110ca5844a23b482d9cdc72a62ec49f7b6e2e31b861a38f454c4345642b970b9b6cc497bcbc13ce450476d812c1b6e32a762875d2af0f281a31464a43a543e4
SHA512
053b6ad1d818adc515df16952de656b5ffc44b3bcd59221828850fbcb0080958bd1154ec7dfe4952b358e33068a2b7dee4475dd9f6c6b55e6198ece0587745bd
diff --git a/dev-util/catfish/catfish-1.4.12.ebuild
b/dev-util/catfish/catfish-1.4.12.ebuild
new file mode 100644
index 00000000000..4883d7d1a8d
--- /dev/null
+++ b/dev-util/catfish/catfish-1.4.12.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python{2_7,3_{5,6,7,8}} )
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="A frontend for find, (s)locate, doodle, tracker, beagle, strigi
and pinot"
+HOMEPAGE="https://docs.xfce.org/apps/catfish/start"
+SRC_URI="https://archive.xfce.org/src/apps/catfish/${PV%.*}/${P}.tar.bz2"
+
+# yep, GPL-2 only
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="
+ dev-libs/gobject-introspection
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ x11-libs/gdk-pixbuf[introspection]
+ x11-libs/gtk+:3[introspection]
+ x11-libs/pango[introspection]
+ virtual/freedesktop-icon-theme
+"
+DEPEND="
+ dev-python/python-distutils-extra[${PYTHON_USEDEP}]
+ sys-devel/gettext
+"
+
+python_install() {
+ distutils-r1_python_install
+ rm -r "${ED}"/usr/share/doc/catfish || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}